## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanUTF16Transcoder Class Reference

`#include <XalanUTF16Transcoder.hpp>`

Inheritance diagram for XalanUTF16Transcoder:

[legend]
Collaboration diagram for XalanUTF16Transcoder:

[legend]
List of all members.

## Public Methods

- XalanUTF16Transcoder (MemoryManagerType &theManager)
- virtual ~XalanUTF16Transcoder ()
- virtual eCode transcode (const XalanDOMChar *theSourceData, size_type theSourceCount, XalanXMLByte *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed)
    Transcode data from UTF-16 to UTF-16. More...
- virtual eCode transcode (const XalanXMLByte *theSourceData, size_type theSourceCount, XalanDOMChar *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed, unsigned char *theCharSizes)
    Transcode data from UTF-16 to UTF-16. More...
- virtual bool canTranscodeTo (UnicodeCharType theChar) const

## Static Public Methods

- XalanUTF16Transcoder* create (MemoryManagerType &theManager)

## Constructor & Destructor Documentation

XalanUTF16Transcoder::XalanUTF16Transcoder ( | MemoryManagerType & theManager )`[explicit]`

XalanUTF16Transcoder::~XalanUTF16Transcoder ( | )`[virtual]`

## Member Function Documentation

bool XalanUTF16Transcoder::canTranscodeTo ( | UnicodeCharType theChar ) const`[virtual]`

| Reimplemented from XalanOutputTranscoder.

XalanUTF16Transcoder * XalanUTF16Transcoder::create ( | MemoryManagerType & theManager )`[static]`

eCode XalanUTF16Transcoder::transcode ( | const XalanXMLByte * theSourceData,
| size_type theSourceCount,
| XalanDOMChar * theTarget,
| size_type theTargetSize,
| size_type & theSourceCharsTranscoded,
| size_type & theTargetBytesUsed,
| unsigned char * theCharSizes )`[virtual]`

  | Transcode data from UTF-16 to UTF-16. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theResult | The error code, if any.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Reimplemented from XalanOutputTranscoder.

eCode XalanUTF16Transcoder::transcode ( | const XalanDOMChar * theSourceData,
| size_type theSourceCount,
| XalanXMLByte * theTarget,
| size_type theTargetSize,
| size_type & theSourceCharsTranscoded,
| size_type & theTargetBytesUsed )`[virtual]`

  | Transcode data from UTF-16 to UTF-16. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theResult | The error code, if any.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Reimplemented from XalanOutputTranscoder.

The documentation for this class was generated from the following file:

- XalanUTF16Transcoder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.